import { Event, Options, Payload, PayloadOptions, Response, RetryClass } from '@amplitude/types';
export declare class RetryHandler implements RetryClass {
    protected readonly _apiKey: string;
    private readonly _idToBuffer;
    protected readonly _options: Options;
    private readonly _transport;
    private _eventsInRetry;
    constructor(apiKey: string, options?: Partial<Options>);
    /**
     * @inheritDoc
     */
    sendEventsWithRetry(events: readonly Event[]): Promise<Response>;
    private _shouldRetryEvents;
    private _pruneEvents;
    protected _getPayloadOptions(): {
        options?: PayloadOptions;
    };
    protected _getPayload(events: readonly Event[]): Payload;
    private _getRetryBuffer;
    private _cleanUpBuffer;
    private _onEventsError;
    private _retryEventsOnce;
    private _retryEventsOnLoop;
}
//# sourceMappingURL=defaultRetry.d.ts.map